GET /snapshots/{project-id}/{language}
Operation ID: getSnapshot
Auth: unknown
Description
Download a CodeQL database from LGTM, representing a snapshot of the codebase, to run queries in your IDE. This endpoint works for projects that have been successfully analyzed for the language specified in the request. A successful request redirects you to a URL for downloading a database that represents the code snapshot, as specified in the `Location:` header in the response. Therefore, your HTTP client should be configured to follow redirects. For example, if you are using `curl`, you can add the`-L` flag to the command. The database is downloaded as a zip file that can be imported into an IDE equipped with a CodeQL extension. The extension must be up to date to analyze databases downloaded from LGTM. For more information on running queries locally in your IDE, see [Runnning queries in your IDE](https://lgtm.com/help/lgtm/running-queries-ide).
Parameters (2)
(string, path, required)
The language of the database to download.
(integer, path, required)
The numeric project identifier.
No probe data for this endpoint yet.